//  NearbyFriend
//  Copyright 2008 Urs Hengartner <uhengart@cs.uwaterloo.ca>
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of version 2 of the GNU General Public License as
//  published by the Free Software Foundation.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  There is a copy of the GNU General Public License in the COPYING file
//  packaged with this plugin; if you cannot find it, write to the Free
//  Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
//  02111-1307  USA

// default values for various parameters, used only if we don't have
// any settings in the config files

// frequency at which we'll determine our location (in seconds)
#define SAMPLING_FREQUENCY  60         
// ignore location if it was measured more than this many seconds ago
#define LOCATION_STALE 600   
// grid cell length/width (in meters)
#define NEARBY_DISTANCE 100  
// frequency at which friends will be queried for their location (in seconds)
#define QUERY_FREQUENCY   300    

#define NBF_VERSION "0.3"
#define NBF_VERSION_MAJOR 0
#define NBF_VERSION_MINOR 3

#define NBF_PLUGIN_ID "gtk-uhengart-nearby_friend"
