//  NearbyFriend
//  Copyright 2008 Urs Hengartner <uhengart@cs.uwaterloo.ca>
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of version 2 of the GNU General Public License as
//  published by the Free Software Foundation.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  There is a copy of the GNU General Public License in the COPYING file
//  packaged with this plugin; if you cannot find it, write to the Free
//  Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
//  02111-1307  USA

/* system headers */
#include <stdlib.h>

/* nbf headers */
#include "userstate.h"

NbfUserState* nbf_userstate_create(void)
{
    NbfUserState* us = malloc(sizeof(NbfUserState));
    if (!us) return NULL;
    us->context_root = NULL;
    nbf_cgs97_gen_keypair(DH1536_GROUP_ID, &(us->our_cgs97_key));
     
    return us;
}

void nbf_userstate_free(NbfUserState* us)
{
    free(us);
}
